<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ page import="javax.servlet.http.Cookie"%>
<%
//Read cookies to retreive saved values
String delay = "";
Cookie[] cookies = request.getCookies();
if (cookies != null) {
	for (int i = 0; i < cookies.length; i++) {
		if (cookies[i].getName().equals("Extension_Sample")) {
			delay =  cookies[i].getValue();
			break;
		}
	}
}
%>
<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta http-equiv="cache-control" content="no-cache">
	<link rel="stylesheet" type="text/css" href="assets/css/style.css" />
	<link rel="stylesheet" type="text/css" href="assets/css/propsheet.css" />
	
	<!-- Add here a link to JavaScript files for WebIntelligence integration --> 
	<script type="application/javascript" src="../../../js/extension/webi.services.js"></script>
	<script type="application/javascript" src="../../../js/extension/webi.application.js"></script>
	<script type="application/javascript" src="../../../js/extension/webi.application.sidepane.js"></script>
	
	<!-- NEW JQUERY CONTENT -->
	<link rel="stylesheet" href="http://code.jquery.com/ui/1.11.2/themes/smoothness/jquery-ui.css">	
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/2.1.0/jquery.min.js"></script>
	<script src="http://code.jquery.com/ui/1.11.2/jquery-ui.js"></script>
	
	<script src="http://api.cmapsanalytics.net/mapview?version=1.2&authkey=aehovn5y5o38umrxp39m3p8tu"></script>
	
	<script src="https://gmapsplugin.net/cmapsanalytics/integrations/webi/centigon.integrations.Webi.min_v3.js"></script>
	
	<!-- THIS IS THE DEFAULT XML THIS IS VERY IMPORTANT BECAUSE WE WANT TO USE THE HTML INPUT TEXT BOX TO CHANGE-->
	<script src="assets/js/defaultxml.js"></script>
	
	<!-- Extra content, may not be used in final extension -->
	<script src="assets/js/extras/measures.js"></script>
	<script src="assets/js/extras/slider.js"></script>
	
		<!-- NEW PROPERTY SHEET ASSETS --> 
	<link rel="stylesheet" href="assets/css/bootstrap-theme.css">	
	<link rel="stylesheet" href="assets/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
	<script src="assets/js/bootstrap.min.js"></script>
	
	
	<script src="assets/js/bootstrap.min.js"></script>

	<!-- SCRIPTS FOR HTML5 PROPERTY SHEET TOOL TIPS -->
<script type="application/javascript">
$(function () {
  $('[data-toggle="tooltip"]').tooltip()
})
</script>

<script type="application/javascript">
$(function () {
  $('[data-toggle="popover"]').popover()
})
</script>



	
	<style>
		.introscreen {			
		}

		.container { margin:0px; padding:0px 10px; width:auto; }

		p {
			font-family:Arial, Helvetica, sans-serif; font-size:12px;			
		}

		html {
		  height: 100%;
		  overflow: hidden; /* Hides scrollbar in IE */
		}
		 
		body {
		  height: 100%;
		  margin: 0;
		  padding: 0;
		}
		 
		#paneCore, #paneContainer {
		  height: 100%;
		  width: 100%;
		}

	</style>

	
	<!-- Extension JavaScript sources -->
	<script type="application/javascript" src="assets/js/utils.js"></script>
	
	<!-- ORIGINAL SCRIPT - UNCHANGED -->
	<script type="application/javascript">
	var webiIntgrtn;
		$(document).ready(function() {
			webiIntgrtn = new centigon.integrations.Webi();
			webiIntgrtn.init();
		});
	</script>
	
</head>


<body marginheight="0" marginwidth="0" leftmargin="0" topmargin="0">

<div id="headerbox" class="clearfix">
  <div style="float:left; position:relative"> <img src="assets/img/logo_cmapsanalytics_dark.png" width="200" alt="CMaps Analytics" style="margin:10px 0px 0px 20px"></div>
  <nav>
	<div class="headermenu"> 
		<a href="http://centigonknowledge.com/cmapsplugin/" class="headerNavLabel"  target="_blank">Support</a>
	</div>
  </nav>
</div>

<div class="row" style="
    height: 100%;
">
<div class="col-lg-6" style="margin: 0px;height: 100%;padding-bottom: 85px;">

<!-- NEW PROPERTY SHEET TAB COMPONENT -->

<div id="tabsDesignMode" role="tabpanel" style="width: 100%;height: 100%;margin: 0px;">

  <!-- Nav tabs -->
  <ul class="nav nav-tabs" role="tablist">
	<li role="presentation" class="active"><a href="#mapProperties" aria-controls="mapProperties" role="tab" data-toggle="tab" aria-expanded="true">Properties</a></li>
	<li role="presentation" class=""><a id="btnMapViewDesign" href="#mapView" aria-controls="mapView" role="tab" data-toggle="tab" aria-expanded="false">Preview Map</a></li>
	<li role="presentation" class=""><a href="#mapDesign" aria-controls="mapDesign" role="tab" data-toggle="tab" aria-expanded="false">Design Map</a></li>
	<li role="presentation"><a href="#mapHelp" aria-controls="mapHelp" role="tab" data-toggle="tab">Help</a></li>
  </ul>

  <!-- Tab panes -->
 <div class="tab-content" style="
    margin: 0px;
    height: 100%;
    padding-left: 10px;
    padding-bottom: 39px;
">
 
	<div role="tabpanel" class="tab-pane active" id="mapProperties" style="overflow-y: scroll;overflow-x: scroll; height: 100%;">
    <!--START HTML5 TAB TAB -->
		<div class="divider" style="margin-top:10px;"></div>
		
		<h3>Bind Data</h3>
		
		<label for="textarea">Select a Layer<br></label>
		<div style="margin:0px 10px 0px 0px">
			<select id="mapLayers" style="width: 100%;border-style: solid;border-radius: 4px;height: 35px;">
				<option value=""></option>
			</select>
		</div>
		<div class="divider" style="margin-top:10px;"></div>
		<!--START LAYER PANE-->
		<div class="panel panel-default" style="position: relative;margin: 0px 10px 0px 0px;height: 130%;">
			<div class="panel-heading">
				<h3 class="panel-title" id="lblLyrName"></h3>
			</div>
			
			<!-- START LAYER PANE MAP PROPERTIES --> 
			<div class="panel-body" style="
    margin: 0px;
    height: 100%;
    overflow: visible;
    min-height: 100%;
">
				
				<button type="button" class="btn btn-default" data-toggle="tooltip" data-placement="right" title="" style="margin:0px 3px 3px 0px;" data-original-title="Help"> 
					<span class="glyphicon glyphicon-question-sign" aria-hidden="true" style="margin-top:0px;"></span>
				</button>
				<label for="text">Address / Lat,Long:</label>
				
				<div class="input-group">
					<input id="txtLocations" type="text" class="form-control" placeholder="Please bind your locations...">
						<span class="input-group-btn">
							<button id="btnBindLocs" class="btn btn-default" type="button" data-toggle="modal" data-target=".bs-example-modal-sm">Bind</button>
						</span>
				</div>
				
				<div class="divider" style="margin-top:10px;"></div>
				
				<button type="button" class="btn btn-default" data-toggle="tooltip" data-placement="right" title="" style="margin:0px 3px 3px 0px;" data-original-title="Help"> 
					<span class="glyphicon glyphicon-question-sign" aria-hidden="true" style="margin-top:0px;"></span>
				</button>
				<label for="text">Label / Description</label>

				<div class="input-group">
					<input id="txtLabels" type="text" class="form-control" placeholder="Please bind your labels...">
					<span class="input-group-btn">
						<button id="btnBindLabels" class="btn btn-default" type="button" data-toggle="modal" data-target=".bs-example-modal-sm">Bind</button>
					</span>
				</div>
    
				<div class="divider" style="margin-top:10px;"></div>
  
				<button type="button" class="btn btn-default" data-toggle="tooltip" data-placement="right" title="" style="margin:0px 3px 3px 0px;" data-original-title="Help"> 
					<span class="glyphicon glyphicon-question-sign" aria-hidden="true" style="margin-top:0px;"></span>
				</button>
				<label for="text">Value / Measure</label>
	
				<div class="input-group">
					<input id="txtValues" type="text" class="form-control" placeholder="Please bind your values...">
					<span class="input-group-btn">
						<button id="btnBindVals" class="btn btn-default" type="button" data-toggle="modal" data-target=".bs-example-modal-sm">Bind</button>
					</span>
				</div>
    
				<div class="divider" style="margin-top:10px;"></div>
    
				<button type="button" class="btn btn-default" data-toggle="tooltip" data-placement="right" title="" style="margin:0px 3px 3px 0px;" data-original-title="Help"> 
					<span class="glyphicon glyphicon-question-sign" aria-hidden="true" style="margin-top:0px;"></span>
				</button>
				<label for="text">Color (Optional) Example: #FF00AA </label>

				<div class="input-group">
					<input id="txtColors" type="text" class="form-control" placeholder="Please bind your colors...">
					<span class="input-group-btn">
						<button id="btnBindColors" class="btn btn-default" type="button" data-toggle="modal" data-target=".bs-example-modal-sm">Bind</button>
					</span>
				</div>
    
				<div class="divider" style="margin-top:10px;"></div>
    
				<button type="button" class="btn btn-default" data-toggle="tooltip" data-placement="right" title="" style="margin:0px 3px 3px 0px;" data-original-title="Help"> 
					<span class="glyphicon glyphicon-question-sign" aria-hidden="true" style="margin-top:0px;"></span>
				</button>
				<label for="text">Drill IDs (Optional)</label>

				<div class="input-group">
					<input id="txtDrillIds" type="text" class="form-control" placeholder="Please bind your drill id's...">
					<span class="input-group-btn">
						<button id="btnBindDrillIds" class="btn btn-default" type="button" data-toggle="modal" data-target=".bs-example-modal-sm">Bind</button>
					</span>
				</div>
    
				<div class="divider" style="margin-top:10px;"></div>
			
			<!-- END LAYER 1 MAP PROPERTIES --> 
			</div>

    
    <!-- WND LAYER PANEL -->
		</div>
		
		<div style="position: relative;height:200px;">
			<hr>
			<h3>Clear Bindings</h3>
			<button type="button" class="btn btn-default" id="btnClearAllLayerBindings">Clear ALL Layer Data Bindings</button>
		</div>
		
		<div id="bindingMessageDiv" style="display:none;height: 165px; position: absolute; z-index: 10; font-size: 16px; border-style: solid;border-radius: 2px;border-width: 1px;top: 45px; color: rgb(48, 48, 48); left: 15px; right: 15px; padding: 10px; background-color: rgba(197, 196, 196, 0.952941);">
			<label>Please click a report column CELL (not header) to bind to...</label>
			<p>
			</p><p>
			<button id="btnCancelPropBinding">Cancel Bind</button>
		</p></div>
    <!-- WND HTML5 TAB -->
	</div>

	<div role="tabpanel" class="tab-pane" id="mapView" style="overflow-y: scroll;overflow-x: scroll;height: 800px;">
		<div class="divider" style="margin-top:10px;"></div>
		<div id="mapDiv" style="height:100%;position:relative;width:100%"></div>
	</div>
	
	<div role="tabpanel" class="tab-pane" id="mapDesign" style="overflow-y: scroll;overflow-x: scroll;height: 800px;">
		<div class="divider" style="margin-top:10px;"></div>
		
		<h3>Designer Configuration</h3>
		
		<select id="selCfgXmlType" style="width: 100%;border-style: solid;border-radius: 4px;height: 35px;">
			<option value="custom">Custom XML</option>
			<option selected value="0">Points Template</option>
			<option value="1">Clustered Points Template</option>
			<option value="2">Points Choropleth Template</option>
		</select>
		
		<div class="divider" style="margin-top:10px;"></div>
		
		<div id="customXmlDiv" style="display:none">
			<button type="button" class="btn btn-default" id="btnOpenCMapsDesigner">Open CMaps Designer</button>
			<br><br>
			<a href="http://centigonknowledge.com/webi-developer-overview-to-cmaps-analytics-designer/" target="_blank">What is CMaps Designer?</a>
			<div class="divider" style="margin-top:10px;"></div>
			<button type="button" class="btn btn-default" data-toggle="tooltip" data-placement="right" title="" style="margin:0px 3px 3px 0px;" data-original-title="Copy and paste the XML from CMaps Analytics Designer"> <span class="glyphicon glyphicon-question-sign" aria-hidden="true" style="margin-top:0px;"></span></button>
			<label for="textarea">CMaps Configuration (XML)<br></label>
			<textarea name="textarea" id="designerxml" class="form-control" cols="45" rows="5"></textarea>
			<label for="textarea">CMaps Configuration (XML URL)<br></label>
			<input id="txtDesignerXmlUrl" type="text" class="form-control" placeholder="">
			<div class="divider" style="margin-top:10px;"></div>
			<button type="button" class="btn btn-default" id="buildmapbtn">Save XML and rebuild map</button>
		</div>
		<div class="divider" style="margin-top:10px;"></div>
	</div>
	
	<div role="tabpanel" class="tab-pane" id="mapHelp" style="overflow-y: scroll;overflow-x: scroll;height: 800px;">
		<div class="divider" style="margin-top:10px;"></div>
		<p>
			<a href="http://centigonknowledge.com/tutorial/webi_v3/" target="_blank">Webi Extension User Guide</a>
		</p>
		<p>
			<a href="http://centigonknowledge.com/tutorial/what-is-a-cmaps-analytics-configuration-xml-file/" target="_blank">What is a CMaps Analytics Configuration File?</a>
		</p>
		<p>
			<a href="http://centigonknowledge.com/tech-support-submission/" target="_blank">Get Support</a>
		</p>
		<p>
			<a href="http://centigonknowledge.com/designer/" target="_blank">CMaps Designer Knowledge Portal</a>
		</p>
		<p>
			<a href="http://centigonknowledge.com/webi" target="_blank">CMaps Analytics for Webi Knowledge Center </a>
		</p>
		<p>
			<a href="http://centigonknowledge.com/tutorial/webi_v3/" target="_blank">CMaps Extension for SAP Webi User Guide</a>
		</p>
		<p>
			<a href="http://centigonknowledge.com/tutorial/create-your-first-google-map-in-webi/" target="_blank">Create your first Google Map in Webi</a>
		</p>
		<p>
			<a href="http://centigonknowledge.com/tutorial/designerhelloworld/" target="_blank">Create your first map with CMaps Analytics Designer</a>
		</p>
		<p>
			<a href="http://centigonknowledge.com/tutorial/building-a-custom-map-with-cmaps-designer-and-webi/" target="_blank">Importing Views into Webi from CMaps Designer</a>
		</p>
		<p>
			<a href="http://centigonknowledge.com/tutorial/installing-cmaps-plugin-extension-for-webi/" target="_blank">Installing CMaps Plugin Extension for Webi </a>
		</p>
		<p>
			<a href="http://centigonknowledge.com/tutorial/what-is-a-cmaps-analytics-configuration-xml-file/" target="_blank">What is CMaps Analytics Configuration File? </a>
		</p>
		<p>
			<a href="http://cmapsanalytics.com/designer/customapps.html" target="_blank">CMaps Analytics Designer Overview </a>
		</p>
		<p>
			<a href="http://centigonknowledge.com/how-cmaps-analytics-designer-works/" target="_blank">Developer Introduction to CMaps Analytics Designer </a>
		</p>
		<p>
			<a href="http://cmapsanalytics.com/designer" target="_blank">CMaps Analytics Designer Developer Portal </a>
		</p>
		<p>
			Version 3.0.0
		</p>
	</div>
<!-- WND TAB CONTENT -->
 </div>

<!--END TAB PROPERTY SHEET COPONENT -->
</div>

<!--END GRID AREA -->
</div>
    
<!-- END ROW -->
</div>
<div id="mapDivReadingView" style="z-index: 10; position: absolute; top: 0px; left: 0px; right: 0px; bottom: 0px;"></div>
<div id="saveVarWarningMessage" style="display:none; z-index: 10; position: absolute; top: 0px; left: 0px; right: 0px; bottom: 0px;font-size: 16px; border-style: solid;border-width: 1px;top: 53px; color: rgb(48, 48, 48); padding: 10px; background-color: rgba(197, 196, 196, 0.952941);">
	<h3>NOTICE: Map variables are configured.</h3>
	<br/>
	NEXT STEPS:
	<br/>
	Please save your report and re-open it to continue forward binding your data.
	<br/>
	<h3>Why am I getting this message?</h3>
	<a href="https://centigonknowledge.com/why-do-i-have-to-re-save-my-report-before-binding-locations/" target="_blank">Please see our knowledge article</a>
</div>
</body>
</html>

