function winWidth()
// Gets the window width
// returns [int]
{
	var ie = (document.all != null);
	var dtd4 = (!ie || document.compatMode!='BackCompat');	
	return ie ? (dtd4 ? document.documentElement.clientWidth : document.body.clientWidth) : window.innerWidth
}

function winHeight()
// Gets the window height
// returns [int]
{
	var ie = (document.all != null);
	var dtd4 = (!ie || document.compatMode != 'BackCompat');		
	return ie ? (dtd4 ? document.documentElement.clientHeight : document.body.clientHeight) : window.innerHeight;
}

//Send ajax call in Sync mode
function sendAjaxRequest(url, callBackFunction)
{
	try {
		if (window.XMLHttpRequest) {
			// If IE7, Mozilla, Safari, etc: Use native object
			var xmlHttp=new XMLHttpRequest()
		}
		else if (window.ActiveXObject) {
			// ...otherwise, use the ActiveX control for IE5.x and IE6
			var xmlHttp=new ActiveXObject("Microsoft.XMLHTTP"); 
			if (xmlHttp==null)
				return;
		}
		
		xmlHttp.open('GET', url, false);
		xmlHttp.onreadystatechange=onCloseResponse;
		xmlHttp.send(null);
	}
	catch(err) {
		//Cannot access url
	}
	
	function onCloseResponse() {
		if (xmlHttp.readyState!=4)
			return;
		
		if (callBackFunction != null) {
			callBackFunction(xmlHttp.responseText);
		}
	}
}
